
From: Matt Mackall <mpm@selenic.com>

Remove unused extract_timer_state struct.  It was formerly used to feedback
zero-entropy timing samples while extracting entropy, but that had a tendency
to overwhelm the batch processing queue and prevent storing real samples.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/random.c |    2 --
 1 files changed, 2 deletions(-)

diff -puN drivers/char/random.c~random-pt2-kill-dead-extract_state-struct drivers/char/random.c
--- 25/drivers/char/random.c~random-pt2-kill-dead-extract_state-struct	2005-01-16 00:53:33.704884968 -0800
+++ 25-akpm/drivers/char/random.c	2005-01-16 00:53:33.710884056 -0800
@@ -777,7 +777,6 @@ struct timer_rand_state {
 };
 
 static struct timer_rand_state input_timer_state;
-static struct timer_rand_state extract_timer_state;
 static struct timer_rand_state *irq_timer_state[NR_IRQS];
 
 /*
@@ -1515,7 +1514,6 @@ static int __init rand_initialize(void)
 #ifdef CONFIG_SYSCTL
 	sysctl_init_random(random_state);
 #endif
-	extract_timer_state.dont_count_entropy = 1;
 	return 0;
 err:
 	return -1;
_
